#!/bin/bash


if [ $# -eq 1 ]
then
	echo "cleaning directory"
	rm depcomp install-sh missing Makefile.in aclocal.m4 configure src/Makefile.in config/config.h config/stamp-h1 2>/dev/null
	rm -R autom4te.cache/
	rm config.status
	rm config.log
	rm -R src/.deps
	rm Makefile
	rm src/Makefile
	exit
fi

echo "Running autotools"
autoheader
aclocal
autoconf
automake --foreign -a -c
