/*
	Copyright (C) 2011 Weber Yann, Schuck Clement

	This file is part of Tansive.

	Tansive is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	Tansive is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Tansive.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef _EVENT_H
#define _EVENT_H

#include<SDL/SDL.h>
#include<stdlib.h>
#include<pthread.h>

#include"config.h"

/*
	event.h :
		SDL event management.
*/

//Store the parameters for the thread
typedef struct _t_param_thread_event
{
	char *again;
	int *x;
	int *y;
	int *mx;
	int *my;
	int *x_resol;
	int *y_resol;
	int *zoom;
	pthread_mutex_t* mutex;
	
}t_param_thread_event;

//Thread function for SDL events handling
void* event_catcher_loop(void* arg);

#endif
